SSHExecException (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.ssh.SSHExecException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.ssh
Class SSHExecException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.util.ssh.SSHExecException

All Implemented Interfaces:
  java.io.Serializable

    public class SSHExecException

extends NestedException

Exception that indicates an error executing a remote command

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`SSHExecException(java.lang.String s, java.lang.Exception e, int code)`
`SSHExecException(java.lang.String s, int code)`

Method Summary
`int` | `getExitCode()`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHExecException

    public SSHExecException(java.lang.String s,
                            java.lang.Exception e,
                            int code)

### SSHExecException

    public SSHExecException(java.lang.String s,
                            int code)

Method Detail

### getExitCode

    public int getExitCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.